Prolifto
API reference

Options

Option values and linked media

Get Linked Media

POST
/optionMedia/getLinkedMedia

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/optionMedia/getLinkedMedia" \  -H "Content-Type: application/json" \  -d '{    "optionId": "string"  }'
{}
POST
/optionMedia/linkMedia

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/optionMedia/linkMedia" \  -H "Content-Type: application/json" \  -d '{    "mediaIds": [      "string"    ],    "optionId": "string",    "value": "string"  }'
{}
POST
/optionMedia/setLinks

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/optionMedia/setLinks" \  -H "Content-Type: application/json" \  -d '{    "links": [      {        "mediaIds": [          "string"        ],        "optionId": "string",        "value": "string"      }    ],    "productId": "string"  }'
{}

Create

POST
/options/create

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/options/create" \  -H "Content-Type: application/json" \  -d '{    "displayType": "buttons",    "name": "string",    "values": [      "string"    ],    "productId": "string"  }'
{}

Delete

POST
/options/delete

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/options/delete" \  -H "Content-Type: application/json" \  -d '{    "optionId": "string",    "productId": "string"  }'
{}

Reorder

POST
/options/reorder

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/options/reorder" \  -H "Content-Type: application/json" \  -d '{    "orderedIds": [      "string"    ],    "productId": "string"  }'
{}

Update

POST
/options/update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/options/update" \  -H "Content-Type: application/json" \  -d '{    "values": [      "string"    ],    "optionId": "string",    "productId": "string"  }'
{}